KDE 4.9 PyKDE API Reference

- KDE's Python API

# AbstractDialogManager Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma

## Detailed Description

AbstractDialogManager plasma/dialogmanager.h <Plasma/AbstractDialogManager>

The AbstractDialogManager class shows the dialogs shown by applets and the rest of the shell. a AbstractDialogManager can manage aspects like positioning, sizing and widget style of dialogs sich as the applet configuration dialog.

Since:
  4.5

## Methods

| __init__ (self, Plasma.Corona parent=0)
| showDialog (self, QWidget widget, Plasma.Applet applet)

## Method Documentation

__init__ | ( | self, |
|  | Plasma.Corona | parent=0
| ) |  |  |

showDialog | ( | self, |
|  | QWidget | widget,
|  | Plasma.Applet | applet
| ) |  |  |

This fake virtual slot shows a dialog belonging to an applet. There is no guarantee how the implementation will show it

Parameters:

  | widget | the dialog widget
  | applet | the applet that owns the dialog